.domain-results__item-eu-notice.badge-orange {
    max-width: 100%;
   
    box-sizing: border-box;
}

.domain-results__item-eu-notice + .domain-results__item-container {
    margin-top: 10px;
}

@media (min-width: 768px) {
    .domain-results__item:has(.domain-results__item-eu-notice) {
        display: grid !important;
        grid-template-columns: 1fr auto;
        grid-template-rows: auto auto;
        align-items: center;
        column-gap: 22px;
        row-gap: 8px;
    }

    .domain-results__item:has(.domain-results__item-eu-notice) .domain-results__item-domain-name {
        grid-column: 1;
        grid-row: 1;
        margin-bottom: 0 !important;
    }

    .domain-results__item:has(.domain-results__item-eu-notice) .domain-results__item-eu-notice {
        grid-column: 1;
        grid-row: 2;
    }

    .domain-results__item:has(.domain-results__item-eu-notice) .domain-results__item-container {
        grid-column: 2;
        grid-row: 1 / span 2;
        align-self: center;
        margin-top: 0;
    }
}
